Get a DNS record for a domain

GET/v1/dns/domains/{dns_domain_id}/records/{record_id}

You can send a GET request to the /v1/dns/domains/{dns_domain_id}/records/{record_id} endpoint to see details of a DNS record. Specify the domain and record IDs in the path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
dns_domain_id
string

A unique identifier of a DNS domain.

record_id
string

A unique identifier of a DNS record.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/dns/domains/pmbk8xdz/records/oQeZJepZ"
{  "id": "oQeZJepZ",  "type": "A",  "name": "example-732.com",  "domain_id": "pmbk8xdz",  "data": "example-732.com",  "priority": 84,  "ttl": 3600,  "updated_at": "2025-12-31T00:00:00Z",  "created_at": "2025-12-31T00:00:00Z"}